Projects

Configure OAuth provider for a project

Creates or updates the configuration for an OAuth provider for the specified project

AuthBearer (JWT)
GroupProjects
Rate limitSee Rate Limits
POST/api/auth/oauth/projects/{projectId}/providers/{provider}

SDK setup

Create a client and set credentials (JWT and/or API key) before calling the API. Match the authentication type shown above.

import { Configuration, ProjectsApi } from 'mudbase-sdk';

const configuration = new Configuration({
  basePath: 'https://cloud.mudbase.dev',
  accessToken: 'eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJzdWIiOiJ1c3JfbW9yZ2FuX2RlIiwiZW1haWwiOiJtb3JnYW4uY2hlbkBub3J0aHdpbmQuZGV2IiwiZXhwIjoxODI1MTI5NjAwfQ.doc_preview_sig',
});

const projects = new ProjectsApi(configuration);
import { Configuration, ProjectsApi } from 'mudbase-sdk';

const configuration = new Configuration({
  basePath: 'https://cloud.mudbase.dev',
  accessToken: 'eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJzdWIiOiJ1c3JfbW9yZ2FuX2RlIiwiZW1haWwiOiJtb3JnYW4uY2hlbkBub3J0aHdpbmQuZGV2IiwiZXhwIjoxODI1MTI5NjAwfQ.doc_preview_sig',
});

const projects = new ProjectsApi(configuration);

Example request

Call this endpoint using the client from SDK setup. Use View HTTP for a raw cURL example.

const { data: result } = await projects.configureOAuthProvider(
  "proj_JCdEgmWBItEz",
  "program parse",
  {
    enabled: false,
    clientId: "LEckphRopKDoMGIn",
    clientSecret: "Str0ng_Sample_Pass!w0rd",
    scope: "program index",
    displayName: "David Fisher"
  }
);
const { data: result } = await projects.configureOAuthProvider(
  "proj_JCdEgmWBItEz",
  "program parse",
  {
    enabled: false,
    clientId: "LEckphRopKDoMGIn",
    clientSecret: "Str0ng_Sample_Pass!w0rd",
    scope: "program index",
    displayName: "David Fisher"
  }
);

Playground

live

Test this endpoint with your own credentials. Your requests will be sent to the live API.

Use the auth endpoints to obtain a JWT.

No Request Yet

Send a request to see the full inspector

Authentication

Requires JWT
Note
Include your JWT in the Authorization: Bearer YOUR_TOKEN header (user-facing apps, RBAC). View authentication guide →

Path Parameters

NameTypeRequiredDescription
projectIdstringYes
providerstringYes

Request Body

json
{
  "enabled": true,
  "clientId": "123456789-abcdefghijklmnop.apps.googleusercontent.com",
  "clientSecret": "GOCSPX-abcdefghijklmnopqrstuvwxyz",
  "scope": [
    "profile",
    "email"
  ],
  "displayName": "Sign in with Google"
}
{
  "enabled": true,
  "clientId": "123456789-abcdefghijklmnop.apps.googleusercontent.com",
  "clientSecret": "GOCSPX-abcdefghijklmnopqrstuvwxyz",
  "scope": [
    "profile",
    "email"
  ],
  "displayName": "Sign in with Google"
}

Responses

200OAuth provider configured successfully
json
{
  "message": "google OAuth configuration updated",
  "provider": {
    "name": "google",
    "enabled": true,
    "displayName": "Sign in with Google"
  }
}
{
  "message": "google OAuth configuration updated",
  "provider": {
    "name": "google",
    "enabled": true,
    "displayName": "Sign in with Google"
  }
}
400
403
404
500

Errors

CodeMeaning
400
403
404
500
Edit this page on GitHub